Using XL Compilers on AIX 6.1

Technote (FAQ)


Question

How can I get my IBM XL C Enterprise Edition for AIX compiler to work on AIX 6.1?

Cause

When AIX 6.1 was released, no XL compiler level provided support for that platform.

Answer

PTFs were released for all in-service XL compilers to make them work on AIX 6.1; one of those PTFs, or a later PTF, must be installed for the compiler to work on AIX 6.1.

As of January 2008, the latest PTF for each compiler release contains AIX 6.1 support. In most cases, the best solution is to apply the latest PTF for your compiler (see the "latest updates" pages for XL C and C/C++ and XL Fortran to find the latest PTF).

For reference, and those users who require only the PTF that first enabled AIX 6.1 support, see the following table:

Product First PTF providing AIX 6.1 support
XL C V7.0 for AIX December 2007
XL C V8.0 for AIX November 2007
XL C for AIX, V9.0 October 2007
XL C/C++ V7.0 for AIX December 2007
XL C/C++ V8.0 for AIX November 2007
XL C/C++ for AIX, V9.0 October 2007
XL Fortran V9.1 for AIX September 2007
XL Fortran V10.1 for AIX November 2007
XL Fortran for AIX, V11.1 October 2007

Related information

Latest Updates for XL C/C++
Latest Updates for XL Fortran

Cross Reference information
Segment Product Component Platform Version Edition
Software Development XL C/C++ Compiler AIX 7.0, 8.0, 9.0 Enterprise Edition
Software Development XL Fortran Compiler AIX 10.1, 9.1, 11.1 Enterprise Edition

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

XL C Enterprise Edition for AIX
Compiler

Software version:

7.0, 8.0, 9.0

Operating system(s):

AIX

Software edition:

Enterprise Edition

Reference #:

1303542

Modified date:

2011-07-01

Translate my page

Machine Translation

Content navigation